# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/7/5
import os
import random
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.person_list import Person


class Main:
    @classmethod
    def main(cls):
        while True:
            Common.logger("person").info("开始抓取个人主页视频\n")
            # 关注用户
            Person.sub_users("person")
            # 取消关注用户
            Person.unsub_users("person")
            # 关注用户列表同步至云文档，获取所有关注列表的用户视频
            Person.get_videos_from_follow("person")
            # 下载/上传
            Common.logger("person").info("开始下载/上传视频")
            Person.run_download_publish("person", "prod")
            # 清除日志
            Common.del_logs("person")
            Common.logger("person").info("休眠1小时\n")
            time.sleep(3600)
            Person.wechat_person_start_t = None
            Person.wechat_follow_start_t = None
            Person.send_time = 0


if __name__ == "__main__":
    main = Main()
    main.main()
